<?php
defined( '_JEXEC' ) or die( 'Restricted access' );

class plgJshoppingCheckoutDefault_group extends JPlugin {
    
    const ADDON_PATH = '/components/com_jshopping/addons/default_group/';
    const ADDON_ALIAS = 'default_group';
    const CLIENT_TYPE_INDIVIDUAL = 1;
    const CLIENT_TYPE_COMPANY = 2;
    
	public function onBeforeRegister(&$post, &$default_usergroup){
        require_once JPATH_ROOT . self::ADDON_PATH . self::ADDON_ALIAS . '.php';
        
        $addon = new AddonDefaultGroup();
        $params = $addon->getAddonParams();

        if ((isset($post['client_type']) && $post['client_type'] == self::CLIENT_TYPE_INDIVIDUAL) || !$post['client_type']){
            if ($params['defoult_group']){
                $default_usergroup = $params['defoult_group'];
            }
        }
        
        if (isset($post['client_type']) && $post['client_type'] == self::CLIENT_TYPE_COMPANY){
            if ($params['defoult_group_firm']){
                $default_usergroup = $params['defoult_group_firm'];
            }
        }
	}
    
    public function onJshopUserRegisterUserJoomlaSaveBeforeBind(&$model, &$vars){
        require_once JPATH_ROOT . self::ADDON_PATH . self::ADDON_ALIAS . '.php';

        $addon = new AddonDefaultGroup();
        $params = $addon->getAddonParams();
        
        if ((isset($vars['post']['client_type']) && $vars['post']['client_type'] == self::CLIENT_TYPE_INDIVIDUAL) || !$vars['post']['client_type']){
            if (is_array($params['default_groups_joomla']) && count($params['default_groups_joomla'])){
                $vars['data']['groups'] = $params['default_groups_joomla'];
            }
        }
        
        if (isset($vars['post']['client_type']) && $vars['post']['client_type'] == self::CLIENT_TYPE_COMPANY){
            if (is_array($params['default_groups_joomla_company']) && count($params['default_groups_joomla_company'])){
                $vars['data']['groups'] = $params['default_groups_joomla_company'];
            }
        }
    }
}